{% macro render_item_xl(menu, class_css) %}
    {% if menu.childs is defined and menu.childs is not empty %}
        <li class="nav-item dropdown">
            <a href="#" class="nav-link dropdown-toggle {{ class_css }}" data-toggle="dropdown">{{ menu.label }} <b class="caret"></b></a>
            <ul class="dropdown-menu">
                {% for child in menu.childs %}
                    {{ _self.render_item_xl(child, 'py-0') }}
                {% endfor %}
            </ul>
        </li>
    {% else %}
        <li class="nav-item"><a href="{{ menu.link }}" class="nav-link {{ class_css }}">{{ menu.label }}</a></li>
    {% endif %}
{% endmacro %}

{% macro render_item_sm(menu, class_css) %}
    {% if menu.childs is defined and menu.childs is not empty %}
        <li class="text-muted">{{ menu.label }}</li>
        <ul class="pl-4 navbar-nav">
            {% for child in menu.childs %}
                {{ _self.render_item_sm(child, 'text-white') }}
            {% endfor %}
        </ul>
    {% else %}
        <li class="nav-item"><a href="{{ menu.link }}" class="nav-link {{ class_css }}">{{ menu.label }}</a></li>
    {% endif %}
{% endmacro %}

{% if format is defined and 'desktop' == format %}
    <ul class="navbar-nav mr-auto nav-flex-icons d-none d-xl-flex">
        {% for menu in menus %}
            {% if is_granted('show', menu) %}
                {{ _self.render_item_xl(menu, 'text-white') }}
            {% endif %}
        {% endfor %}
    </ul>
{% else %}
    <ul class="navbar-nav mr-auto d-xl-none">
        {% for menu in menus %}
            {% if is_granted('show', menu) %}
                {{ _self.render_item_sm(menu, 'text-white') }}
            {% endif %}
        {% endfor %}
    </ul>
{% endif %}
